summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorChris <xchrisx@uber.space>2020-03-26 16:11:12 +0100
committerTDE Gitea <gitea@mirror.git.trinitydesktop.org>2020-03-27 23:02:08 +0000
commite63e76c93c7b7637edbaae22861ee32700f497f7 (patch)
treeeba0f9e810414d7668013cf49aa35b5ccc9872de
parent872d47c3da6b8d2223e05e588e99f663ef6fdd40 (diff)
downloadtde-packaging-gentoo-e63e76c9.tar.gz
tde-packaging-gentoo-e63e76c9.zip
Live ebuilds: Add preliminary `Kasablanca` ebuild.
Signed-off-by: Chris <xchrisx@uber.space>
-rw-r--r--trinity-apps/kasablanca/kasablanca-9999.ebuild28
1 files changed, 28 insertions, 0 deletions
diff --git a/trinity-apps/kasablanca/kasablanca-9999.ebuild b/trinity-apps/kasablanca/kasablanca-9999.ebuild
new file mode 100644
index 00000000..c0cd90eb
--- /dev/null
+++ b/trinity-apps/kasablanca/kasablanca-9999.ebuild
@@ -0,0 +1,28 @@
+# Copyright 2020 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+TRINITY_MODULE_TYPE="applications"
+
+TRINITY_EXTRAGEAR_PACKAGING="yes"
+TRINITY_HANDBOOK="optional"
+
+TRINITY_LANGS="de pl"
+
+inherit trinity-base-2
+
+DESCRIPTION="A FTP client for TDE"
+HOMEPAGE="http://trinitydesktop.org/"
+LICENSE="|| ( GPL-2 GPL-3 )"
+
+need-trinity
+
+SLOT="${TRINITY_VER}"
+
+src_configure() {
+ mycmakeargs=(
+ -DBUILD_TRANSLATIONS=ON
+ )
+
+ trinity-base-2_src_configure
+}